Subject: source for rings found!

From: [email-masked] (David Erickson)
Date: Thu, 12 Aug 1993 22:38:50 GMT

I recently overhauled the bottom end of an old Ingersol-Rand compressor,
and managed to break one of the oil rings on the small (1.75") 2nd stage
piston, due to stupidity and not having a small ring compressor.

So, I contacted the IR distributor to get a new ring set, and found that
it would cost me a whole lot ($80).  Not being one to give up easily,
I thought that I might find a matching ring for a small engine, and
checked the specs books for Briggs and Stratton, McCullough, and a few
other mfrs, only to find out that darn near everything is metric these
days.

Next I tried an auto parts store, who gave me the phone no. for Hastings.
Hastings smallest ring was 1.875", but they were nice enough to suggest
that I contact Pacific Ring, in Southern Calif., and sure 'nuf, they
had the right part.  For $3.50 plus s&h.

Pacific Ring : phone (310) 836-3322

-Dave Erickson